// Must be (min-width) only.
// It will scale upwards to higher widths by default
// @media screen and (min-width:1200px) { .... }
export var createMediaQueries = function (breakpoints) {
    var mediaQueries = {};
    if (breakpoints.xs !== 0)
        throw new Error("First 'xs' breakpoint's value must be 0");
    Object.keys(breakpoints).map(function (key) {
        // @ts-ignore
        mediaQueries[key] = "@media screen and (min-width:" + breakpoints[key] + "px)";
    });
    return mediaQueries;
};
