import { getContainer, getFlex, getFlexItem, getGrid, getGridItem } from './getComponents';
import { Breakpoints } from './types';
declare type ReactSchematic = (breakpoints?: Breakpoints) => {
    Container: ReturnType<typeof getContainer>;
    Grid: ReturnType<typeof getGrid>;
    GridItem: ReturnType<typeof getGridItem>;
    Flex: ReturnType<typeof getFlex>;
    FlexItem: ReturnType<typeof getFlexItem>;
};
export declare const reactSchematic: ReactSchematic;
export {};
