import { ValidComponents } from './common';
import { MediaQueries } from './Media';
import { Spacing } from './Spacing';
declare type ValidProps = ValidComponents & Spacing;
export declare type Css<T extends ValidProps> = {
    [key in keyof T]: (v: T[key]) => string;
};
export declare type CreateCss = (css: Css<ValidProps>, p: any, atMedia: MediaQueries) => string;
export {};
