export declare type GridType = {
    display?: 'grid' | 'inline-grid';
    grid?: string;
    gridTemplate?: string;
    gridTemplateAreas?: string;
    gridTemplateColumns?: string;
    gridTemplateRows?: string;
    placeItems?: string;
    justifyItems?: 'start' | 'end' | 'center' | 'stretch';
    alignItems?: 'start' | 'end' | 'center' | 'stretch';
    placeContent?: string;
    justifyContent?: 'start' | 'end' | 'center' | 'stretch' | 'space-around' | 'space-between' | 'space-evenly';
    alignContent?: 'start' | 'end' | 'center' | 'stretch' | 'space-around' | 'space-between' | 'space-evenly';
    gridAutoFlow?: 'row' | 'column' | 'row dense' | 'column dense';
    gridAutoRows?: string;
    gridAutoColumns?: string;
    gap?: string;
    columnGap?: string;
    rowGap?: string;
};
